> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List terminals

> OAuth scope: `terminal.read`

Returns the list of physical payment terminals linked to the authenticated organization.

The terminal must be powered on and connected to the internet to receive payment requests.
Use the `id` field when initiating a payment via `POST /v2/terminals/{id}/payment`.




## OpenAPI

````yaml get /v2/terminals
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/terminals:
    parameters:
      - $ref: '#/components/parameters/X-Qonto-Staging-Token'
    get:
      tags:
        - Terminals
      summary: List terminals
      description: >
        OAuth scope: `terminal.read`


        Returns the list of physical payment terminals linked to the
        authenticated organization.


        The terminal must be powered on and connected to the internet to receive
        payment requests.

        Use the `id` field when initiating a payment via `POST
        /v2/terminals/{id}/payment`.
      operationId: listTerminals
      parameters:
        - $ref: '#/components/parameters/PaginationPage'
        - $ref: '#/components/parameters/PaginationPerPage'
      responses:
        '200':
          description: The terminals have been retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTerminalsResponse'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - code
                        - detail
                      properties:
                        code:
                          type: string
                        detail:
                          type: string
                        source:
                          type: object
                          properties:
                            parameter:
                              type: string
              examples:
                invalid page:
                  value:
                    errors:
                      - code: invalid_page
                        detail: page must be positive
                        source:
                          parameter: page
                invalid per_page:
                  value:
                    errors:
                      - code: invalid_per_page
                        detail: per_page must be between 1 and 100
                        source:
                          parameter: per_page
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          description: Forbidden. This endpoint requires OAuth authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponseBody'
              examples:
                oauth required:
                  value:
                    errors:
                      - code: oauth_required
                        detail: this endpoint requires OAuth authentication
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - terminal.read
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
    PaginationPage:
      name: page
      in: query
      description: Page number for pagination. Must be greater than 0.
      schema:
        type: integer
        minimum: 1
        default: 1
    PaginationPerPage:
      name: per_page
      in: query
      description: Number of records per page. Must be between 1 and 100.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 100
  schemas:
    ListTerminalsResponse:
      type: object
      required:
        - terminals
        - meta
      properties:
        terminals:
          type: array
          items:
            $ref: '#/components/schemas/Terminal'
        meta:
          $ref: '#/components/schemas/Pagination'
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    Terminal:
      type: object
      required:
        - id
        - poi_id
        - created_at
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the terminal.
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        poi_id:
          type: string
          description: Adyen POI ID — the serial number visible on the physical device.
          example: S1F2-000158252426226
        created_at:
          type: string
          format: date-time
          description: Timestamp when the terminal was created.
          example: '2026-01-15T10:20:30Z'
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the terminal was last updated.
          example: '2026-03-26T08:15:00Z'
    Pagination:
      type: object
      description: Metadata for paginated responses
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
      properties:
        current_page:
          type: integer
          description: The current page number
          example: 2
        next_page:
          type:
            - integer
            - 'null'
          description: The next page number (null if on last page)
          example: 3
        prev_page:
          type:
            - integer
            - 'null'
          description: The previous page number (null if on first page)
          example: 1
        total_pages:
          type: integer
          description: Total number of pages
          example: 11
        total_count:
          type: integer
          description: Total number of items across all pages
          example: 210
        per_page:
          type: integer
          description: Number of items per page
          example: 20
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
  responses:
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````